Package com.creditcall.chipdnamobile

# Class SOAPExtendedTransaction

java.lang.Object
com.creditcall.chipdnamobile.SOAPTransaction
com.creditcall.chipdnamobile.SOAPExtendedTransaction

public class SOAPExtendedTransaction extends SOAPTransaction
This class contains the details of the transaction.

Author:
  Creditcall Ltd

- ## Method Summary

  Modifier and Type
  Method
  Description
  `double`
  `getAmountRefunded()`
  Gets the refunded amount of the transaction.
  `CardSchemeID`
  `getCardSchemeID()`
  Gets the card scheme ID of the transaction.
  `CardTypeID`
  `getCardTypeID()`
  Gets the card type ID of the transaction.
  `String`
  `getExpiryDate()`
  Gets the expiry date of the card used for the transaction.
  `ResultID`
  `getResultID()`
  Gets the result ID of the transaction.
  `SettlementStateID`
  `getSettlementID()`
  Gets the settlement state ID of the transaction.
  `StateID`
  `getStateID()`
  Gets the state ID of the transaction.
  `TransactionTypeID`
  `getTransactionTypeID()`
  Gets the transaction type ID of the transaction.
  `String`
  `getUserReference()`
  Gets the user reference of the transaction.
  `boolean`
  `isRefundable()`
  Indicated whether the transaction is refundable.
  `boolean`
  `isVoidable()`
  Indicated whether the transaction is voidable.

  ### Methods inherited from class com.creditcall.chipdnamobile.SOAPTransaction

  `getAmount, getCardDigits, getCurrencyAlpha, getCurrencyCode, getDateAndTimeLocal, getDateAndTimeUtc, getGUID`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getResultID

    public ResultID getResultID()
    Gets the result ID of the transaction.
    Returns:
      The result ID of the transaction.

  - ### getStateID

    public StateID getStateID()
    Gets the state ID of the transaction.
    Returns:
      The state ID of the transaction.

  - ### getSettlementID

    public SettlementStateID getSettlementID()
    Gets the settlement state ID of the transaction.
    Returns:
      The settlement state ID of the transaction.

  - ### getUserReference

    public String getUserReference()
    Gets the user reference of the transaction.
    Returns:
      The user reference of the transaction.

  - ### getCardSchemeID

    public CardSchemeID getCardSchemeID()
    Gets the card scheme ID of the transaction.
    Returns:
      The card scheme ID of the transaction.

  - ### getCardTypeID

    public CardTypeID getCardTypeID()
    Gets the card type ID of the transaction.
    Returns:
      The card type ID of the transaction.

  - ### getTransactionTypeID

    public TransactionTypeID getTransactionTypeID()
    Gets the transaction type ID of the transaction.
    Returns:
      The transaction type ID of the transaction.

  - ### getAmountRefunded

    public double getAmountRefunded()
    Gets the refunded amount of the transaction.
    Returns:
      The refunded amount of the transaction.

  - ### getExpiryDate

    public String getExpiryDate()
    Gets the expiry date of the card used for the transaction. It is in the "yyyy-MM" format.
    Returns:
      The expiry date of the card.

  - ### isRefundable

    public boolean isRefundable()
    Indicated whether the transaction is refundable.
    Returns:
      true of the transaction is refundable, otherwise false.

  - ### isVoidable

    public boolean isVoidable()
    Indicated whether the transaction is voidable.
    Returns:
      true of the transaction is voidable, otherwise false.